from __future__ import unicode_literals

from ..extractor.mixcloud import (
    MixcloudIE as MixcloudBase
)

class MixcloudIE(MixcloudBase):
    def _extract_m3u8_formats(self, m3u8_url, video_id, ext=None,
                              entry_protocol='m3u8', preference=None,
                              m3u8_id=None, note=None, errnote=None,
                              fatal=True, live=False):

        if '.m4a' in m3u8_url:
            ext = 'm4a'
        return super(MixcloudIE, self)._extract_m3u8_formats(m3u8_url, video_id, ext, entry_protocol=entry_protocol,
                                                             m3u8_id=m3u8_id, fatal=fatal)